ARG DJANGO_DOCKER_IMAGE_TAG
ARG YC_CONTAINER_REGISTRY
FROM ${DJANGO_DOCKER_IMAGE_TAG} as builder
RUN python manage.py collectstatic --noinput

FROM ${YC_CONTAINER_REGISTRY}/public/nginx:1.23-alpine
COPY ./deploy/nginx_conf/default.conf /etc/nginx/conf.d/default.conf
COPY --from=builder /code/django_static /usr/share/nginx/html/django_static
